import { reactive } from 'vue'

export const basePlan = {
  plan: '',
  startTime: '',
  endTime: '',
  classNum: 1
}

export const createState = reactive({
  subjectList: [], // 声部列表
  active: 1,
  rate: 0,
  minutes: [] as any,
  tabIndex: 1,
  templateList: [
    'https://ks3-cn-beijing.ksyuncs.com/video-course/1657853010619green.png',
    'https://ks3-cn-beijing.ksyuncs.com/video-course/1657853051064gray.png',
    'https://ks3-cn-beijing.ksyuncs.com/video-course/1657853062314yellow.png',
    'https://ks3-cn-beijing.ksyuncs.com/video-course/1657853076136linear.png'
  ], // 模板列表
  selectCourseList: [] as any, // 选择课程列表
  coursePlanStatus: false, // 是否有锁课程
  live: {
    teacherId: '',
    courseGroupId: '',
    name: '',
    subjectId: null as any,
    courseIntroduce: '',
    courseNum: null as any,
    singleCourseMinutes: 0,
    singleMins: null as any,
    freeMinutes: 0,
    coursePrice: null as any,
    salesStartDate: '',
    salesEndDate: '',
    mixStudentNum: null as any,
    backgroundPic: '',
    backgroundPicTemplate: '',
    coursePlanList: [
      {
        ...basePlan
      }
    ]
  }
})
