export const goodsType = {
  LIVE: '直播课',
  PRACTICE: '陪练课',
  VIDEO: '视频课',
  VIP: '开通会员',
  MUSIC: '单曲点播',
  ALBUM: '专辑购买',
  PIANO_ROOM: '琴房时长充值',
  ACTI_REGIST: '活动报名',
  TENANT_ALBUM: '机构专辑'
}

export const orderType = {
  WAIT_PAY: '待支付',
  PAYING: '支付中',
  PAID: '已付款',
  CLOSE: '已关闭',
  FAIL: '支付失败'
}

export const returnType = {
  DOING: '审核中',
  PASS: '通过',
  UNPASS: '不通过'
}

export const levelMember = {
  BEGINNER: '入门级',
  ADVANCED: '进阶级',
  PERFORMER: '大师级'
}

export const memberType = {
  MONTH: '月度会员',
  QUARTERLY: '季度会员',
  YEAR_HALF: '半年会员',
  YEAR: '年度会员'
}

export const courseType = {
  NOT_START: '未开始',
  ING: '进行中',
  COMPLETE: '已完成',
  CANCEL: '已取消'
}

export const bizStatus = {
  PRACTICE: '陪练课',
  LIVE: '直播课',
  VIDEO: '视频课',
  MUSIC: '乐谱',
  WITHDRAWAL: '提现',
  LIVE_SHARE: '直播课分润',
  VIDEO_SHARE: '视频课分润',
  MUSIC_SHARE: '乐谱分润',
  VIP_SHARE: '会员分润',
  MALL_SHARE: '商品分润'
}

export const postStatus = {
  WAIT: '待入账',
  FROZEN: '冻结入账 ',
  RECORDED: '已入账 ',
  CANCEL: '取消'
}

// 评测难度
export const difficulty = {
  BEGINNER: '入门级',
  ADVANCED: '进阶级',
  PERFORMER: '大师级'
}
