import { reactive } from 'vue'

export const teacherState = reactive({
  authStatus: false as boolean, // 是否立即认证
  subjectList: [], // 声部列表
  active: 1,
  teacherInfo: {} as any,
  teacherCert: {
    realName: null,
    idCardNo: null,
    gender: 1,
    birthdate: null as any,
    subjectId: null as any,
    introduction: '',
    graduateSchool: null,
    subject: null,
    gradCertificate: null,
    degreeCertificate: null,
    teacherCertificate: null,
    styleVideoJson: '',
    styleVideo: [
      {
        videoUrl: '',
        cover: ''
      }
    ]
  }
})
