import TheSticky from '@/components/the-sticky'
import { defineComponent } from 'vue'
import styles from './index.module.less'
import ColHeader from '@/components/col-header'
import bgImg from '../images/bg-image.png'

export default defineComponent({
  name: 'ranking-list',
  setup() {
    return () => (
      <div class={styles.activationCode}>
        <div class={styles.sticky}>
          <TheSticky position="top">
            <ColHeader
              background="transparent"
              isFixed={false}
              border={false}
              color="#131415"
            />
          </TheSticky>
          <img class={styles.bgImg} src={bgImg} />
        </div>
      </div>
    )
  }
})
