import { Button, Icon, Image, Tag } from 'vant'
import classNames from 'classnames'
import MusicIcon from '@/views/music/list/icons/music-icon.png'
import InitUserIcon from '@/views/music/list/icons/init-user-icon.png'
// import FavoriteIcon from '@/student/music/album/favorite.svg'
// import FavoritedIcon from '@/student/music/album/favorited.svg'
import { defineComponent } from 'vue'
import styles from './index.module.less'
import Item from '@/views/music/album/item'

const chargeTypes = {
  CHARGE: '点播',
  FREE: '免费',
  VIP: 'VIP'
}

export default defineComponent({
  name: 'OrderMusic',
  props: {
    item: {
      type: Object,
      default: {}
    }
  },
  render() {
    const item = this.item
    return <Item data={item} style={{ margin: '0 0 10px' }} />
  }
})
